package ag.carnot.jsf.beans;

import java.util.HashMap;
import java.util.Map;

import javax.faces.event.ActionEvent;

import org.eclipse.stardust.ui.web.common.log.LogManager;
import org.eclipse.stardust.ui.web.common.log.Logger;
import org.eclipse.stardust.ui.web.processportal.common.PPUtils;
import org.eclipse.stardust.ui.web.processportal.view.ActivityDetailsBean;
import org.eclipse.stardust.ui.web.processportal.view.jsfconversion.JsfActivityPanelBean;

@SuppressWarnings({"rawtypes", "unused", "unchecked"})
public class JSFWithButtonsActivityBean extends JsfActivityPanelBean {

	private static final Logger trace = LogManager.getLogger(JSFWithButtonsActivityBean.class);
	private String selected = null;
	
	public String getSelected() {
		return selected;
	}
	public void setSelected(String selected) {
		this.selected = selected;
	}
	public void complete() {
		mergeDataForList(Errors_Data, (Map)getData("Errors_Data"));
	}

	private Map Errors_Data;
	public Map getErrors_Data() {
		if (null == Errors_Data) {
			Errors_Data = (Map)getData("Errors_Data");
		}
		return Errors_Data;
	}
	public void setErrors_Data(Map Errors_Data) {
		setData("Errors_Data", Errors_Data);
	}
	
	public void abortOrComplete(ActionEvent ae) {
		Map<String, Object> map = new HashMap<String, Object>();
		if(ae.getComponent().getId().equals("Accept"))
        	this.selected = "Accept";
        else if(ae.getComponent().getId().equals("Abort"))
			this.selected = "Abort";
	}
}
